From Openbox

Revision as of 03:04, 22 May 2007 by DanaJansens (Talk | contribs)

Jump to: navigation, search


Legacy Version

The old 1.x series of ObConf is available for download here. It will be soon replaced by the 2.x series, which you can read about below.


  • Real theme previews generated using libobrender
  • Written in Ruby, not a pain in the ass to add new options to it (not 500 callback functions like the C version)


  • Lags behind openbox development either because I'm lazy or because of school.
  • Ubuntu has an old (buggy) version of ruby-gnome2 in its repositories that doesn't work well with Obconf.


You'll need the following:

  • openbox from subversion
svn co svn://svn.icculus.org/openbox/trunk/ openbox
cd openbox; ./configure --prefix=/usr; make; make install [make install requires root privileges]
  • ruby-gnome2 0.16.0 or cvs.
    • FOR 0.16.0 ONLY: edit /usr/lib/ruby/site_ruby/1.8/libglade2.rb
      • find (should be line 42)
if signal_proc
      • add guard_source_from_gc(source) so that it looks like
if signal_proc
  • ruby-gettext
  • obtain and install obconf
  • enjoy life
    • run obconf2


File:Obconf Theme.png

File:Obconf Appearance.png


File:Obconf Desktops.png

File:Obconf Dock.png

Personal tools